onEvent('recipes', e => {


  e.remove({ output: 'thermal:machine_frame' })
  e.remove({ output: 'thermal:redstone_servo' })
  e.remove({ output: 'thermal:rf_coil' })
  e.remove({ output: 'thermal:device_soil_infuser' })
  e.remove({ output: 'thermal:device_nullifier' })
  e.remove({ output: 'thermal:device_collector' })
  e.remove({ output: 'thermal:device_rock_gen' })
  e.remove({ output: 'thermal:charge_bench' })
  e.remove({ output: 'thermal:device_water_gen' })
  e.remove({ output: 'thermal:tinker_bench' })
  e.remove({ output: 'thermal:device_tree_extractor' })
  e.remove({ output: 'thermal:upgrade_augment_1' })
  e.remove({ output: 'thermal:upgrade_augment_2' })
  e.remove({ output: 'thermal:upgrade_augment_3' })
  e.remove({ output: 'thermal:machine_frame' })
  e.remove({ output: 'thermal:machine_furnace' })
  e.remove({ output: 'thermal:machine_sawmill' })
  e.remove({ output: 'thermal:machine_pulverizer' })
  e.remove({ output: 'thermal:machine_smelter' })
  e.remove({ output: 'thermal:machine_insolator' })
  e.remove({ output: 'thermal:machine_centrifuge' })
  e.remove({ output: 'thermal:machine_press' })
  e.remove({ output: 'thermal:machine_crucible' })
  e.remove({ output: 'thermal:machine_refinery' })
  e.remove({ output: 'thermal:machine_pyrolyzer' })
  e.remove({ output: 'thermal:machine_chiller' })
  e.remove({ output: 'thermal:machine_bottler' })
  e.remove({ output: 'thermal:machine_brewer' })
  e.remove({ output: 'thermal:machine_crafter' })
  e.remove({ output: 'thermal:explosive_grenade' })
  e.remove({ output: 'thermal:slime_grenade' })
  e.remove({ output: 'thermal:redstone_grenade' })
  e.remove({ output: 'thermal:glowstone_grenade' })
  e.remove({ output: 'thermal:ender_grenade' })
  e.remove({ output: 'thermal:phyto_grenade' })
  e.remove({ output: 'thermal:earth_grenade' })
  e.remove({ output: 'thermal:fire_grenade' })
  e.remove({ output: 'thermal:ice_grenade' })
  e.remove({ output: 'thermal:lightning_grenade' })
  e.remove({ output: 'thermal:upgrade_augment_1' })
  e.remove({ output: 'thermal:upgrade_augment_2' })
  e.remove({ output: 'thermal:upgrade_augment_3' })


  e.shaped('thermal:machine_furnace', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'ironfurnaces:emerald_furnace', 4: 'minecraft:bricks'
  })
  e.shaped('thermal:machine_sawmill', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:saw_blade', 4: 'thermal:diamond_gear'
  })
  e.shaped('thermal:machine_pulverizer', [
    '252',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'excompressum:compressed_flint', 4: 'thermal:gold_gear', 5: 'minecraft:piston'
  })
  e.shaped('thermal:machine_smelter', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'minecraft:blast_furnace', 4: 'thermal:invar_gear'
  })
  e.shaped('thermal:machine_insolator', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'extendedcrafting:luminessence_block', 4: 'thermal:lumium_gear'
  })
  e.shaped('thermal:machine_centrifuge', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'mekanism:ingot_tin', 4: 'thermal:constantan_gear'
  })
  e.shaped('thermal:machine_press', [
    '252',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:redstone_servo', 4: 'thermal:constantan_gear', 5: 'mekanism:ingot_bronze'
  })
  e.shaped('thermal:machine_crucible', [
    '252',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'minecraft:nether_bricks', 4: 'thermal:constantan_gear', 5: 'minecraft:magma_cream'
  })
  e.shaped('thermal:machine_chiller', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:lapis_gear', 4: 'minecraft:ice'
  })
  e.shaped('thermal:machine_pyrolyzer', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:constantan_ingot', 4: 'botania:blaze_block'
  })
  e.shaped('thermal:machine_bottler', [
    '242',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:copper_gear', 4: 'minecraft:bucket'
  })
  e.shaped('thermal:machine_brewer', [
    '252',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'minecraft:book', 4: 'thermal:constantan_ingot', 5: 'minecraft:brewing_stand'
  })
  e.shaped('thermal:machine_crafter', [
    '252',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:copper_gear', 4: 'mekanism:ingot_tin', 5: 'minecraft:crafting_table'
  })

  e.shaped('thermal:machine_refinery', [
    '252',
    '313',
    '424'
  ], {
    1: 'kubejs:resonantmachineframe', 2: 'thermal:rf_coil', 3: 'thermal:bitumen', 4: 'mekanism:ingot_tin', 5: 'immersiveengineering:biodiesel_bucket'
  })

})